using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Repository.Interface.VipEquity;
using GxPress.Result.VipEquity;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.WebControllers
{
    /// <summary>
    /// Vip权益
    /// </summary>
    [Route("api/web/vip-equity")]
    [ApiController]
    [Authorize]
    public class VipEquityController : Controller
    {
        private readonly IVipEquityRepository vipEquityRepository;
        public VipEquityController(IVipEquityRepository vipEquityRepository)
        {
            this.vipEquityRepository = vipEquityRepository;
        }
        /// <summary>
        /// 获取权益
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        [AllowAnonymous]
        public async Task<IEnumerable<VipEquityResult>> GetAllAsync()
        {
            return await vipEquityRepository.GetAllAsync();
        }
    }
}