using System.Threading.Tasks;
using GxPress.Auth;
using GxPress.Common.Page;
using GxPress.Repository.Interface.Order;
using GxPress.Request.Order;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.WebControllers
{
    /// <summary>
    /// 导航
    /// </summary>
    [Route("api/web/order")]
    [ApiController]
    [Authorize]
    public class WebOrderController : Controller
    {
        private readonly IOrderRepository orderRepository;
        public readonly ILoginContext _loginContext;
        public WebOrderController(IOrderRepository orderRepository, ILoginContext _loginContext)
        {
            this.orderRepository = orderRepository;
            this._loginContext = _loginContext;
        }
        /// <summary>
        /// 查询订单
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [HttpPost("page")]
        public async Task<PagedList<Entity.Order.Order>> GetAllOrderAsync(OrderSearchRequest request)
        {
            request.UserId = _loginContext.AccountId;
            return await orderRepository.GetAllOrderAsync(request);
        }
    }
}