using GxPress.EnumConst;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知收件人
    /// </summary>
    [DataTable("tede_addressee")]
    public class Addressee : Datory.Entity
    {
        /// <summary>
        /// 来源ID
        /// </summary>
        [DataColumn]
        public int SourceId { get; set; }
        /// <summary>
        /// 来源类型
        /// </summary>
        [DataColumn]
        public int SourceType { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 收件人姓名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }

        /// <summary>
        /// 是否阅读
        /// </summary>
        [DataColumn]
        public bool IsRead { get; set; }

        /// <summary>
        /// 手机人状态 1 接收 2 草稿
        /// </summary>
        [DataColumn]
        public NoticeTypeConst NoticeAddresseeType { get; set; }


        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
    }
}
