using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using MySqlX.XDevAPI.Relational;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 信源聊天记录
    /// </summary>
    [DataTable("tede_chat_record")]
    public class ChatRecord : Datory.Entity
    {
        /// <summary>
        /// 发送人ID
        /// </summary>
        [DataColumn]
        public int SendUserId { get; set; }
        /// <summary>
        /// 接收人ID或者群ID
        /// </summary>
        [DataColumn]
        public string ReceiveUserId { get; set; }
        /// <summary>
        /// 聊天内容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }
        /// <summary>
        /// 聊天类型  1 单聊 2 群聊
        /// </summary>
        [DataColumn]
        public int ChatType { get; set; }
        /// <summary>
        /// 消息类型(1 文本 2 图片 3 文件 4 视频 5语音)
        /// </summary>
        [DataColumn]
        public int MsgType { get; set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        [DataColumn]
        public string FileUrl { get; set; }
    }
}
