using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    ///  个人收藏
    /// </summary>
    [DataTable("tede_collection")]
    public class Collection : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 收藏类型收藏类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信  7小组 8会议纪要 12 收藏文件夹 13笔记文件夹
        /// </summary>
        [DataColumn]
        public int CollectionType { get; set; }

        /// <summary>
        /// 数据类型ID
        /// </summary>
        [DataColumn]
        public int CollectionDataId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 终止收藏类型
        /// </summary>
        [DataColumn]
        public int EndCollectionType { get; set; }

        /// <summary>
        /// 终止数据类型ID
        /// </summary>
        [DataColumn]
        public int EndCollectionDataId { get; set; }

        /// <summary>
        /// 阅读数量
        /// </summary>
        [DataColumn]
        public int ReadCount { get; set; }
        /// <summary>
        /// 来源的用户ID
        /// </summary>
        [DataColumn]
        public int SourceUserId { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsTop { get; set; }
    }
}
