using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 文章评论
    /// </summary>
    [DataTable("tede_comment")]
    public class Comment : Datory.Entity
    {
        /// <summary>
        /// 数据ID
        /// </summary>
        [DataColumn] public int ArticleId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn] public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn] public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn] public string HtmlContent { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn] public string JsonContent { get; set; }
        /// <summary>
        /// 点赞次数
        /// </summary>
        [DataColumn] public int Laud { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn] public int Pid { get; set; }
        /// <summary>
        /// 是否讨论
        /// </summary>
        [DataColumn] public bool IsUnderstand { get; set; }
        /// <summary>
        /// 状态 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeValue { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 评分
        /// </summary>
        /// <value></value>
        [DataColumn]
        public decimal Score { get; set; }
    }
}
