using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 部门
    /// </summary>
    [DataTable("tede_department")]
    public class Department : Datory.Entity
    {
        /// <summary>
        /// 部门名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }

        /// <summary>
        /// 父级部门id
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 部门主管id
        /// </summary>
        [DataColumn]
        public int LeaderId { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
        /// <summary>
        /// 用户成员
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }
    }
    /// <summary>
    /// 部门
    /// </summary>
    [DataTable("tede_department_user")]
    public class DepartmentUser : Datory.Entity
    {
        /// <summary>
        /// 部门Id
        /// </summary>
        [DataColumn]
        public int DepartmentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
    }
}