using System.Data;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 小组
    /// </summary>
    [DataTable("tede_group")]
    public class Group : Datory.Entity
    {
        /// <summary>
        /// 小组名称
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 小组创始人Id
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 小组创始人
        /// </summary>
        [DataColumn]
        public int UserName { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        [DataColumn]
        public string QRCoder { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>
        [DataColumn]
        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意
        /// </summary>
        [DataColumn]
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>
        [DataColumn]
        public bool IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>
        [DataColumn]
        public bool IsUDisturb { get; set; }
        /// <summary>
        /// 广场ID
        /// </summary>
        [DataColumn]
        public int GroupCategroyId { get; set; }
        /// <summary>
        /// 用户数量
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserCount { get; set; }
        /// <summary>
        /// 小组文章数量
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int GroupArticleCount { get; set; }
        /// <summary>
        /// 标签
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LabelName { get; set; }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsShow { get; set; }
        /// <summary>
        /// 历史用户头像
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string HistoryAvatarUrl { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }
    }
}
