using System.Collections.Generic;
using Datory.Annotations;

namespace GxPress.Entity.Menus
{
    /// <summary>
    /// 系统管理角色权限
    /// </summary>
    [DataTable("tede_menus")]
    public class Menus : Datory.Entity
    {
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ParentId { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 图标名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Icon { get; set; }
        /// <summary>
        /// 孩子
        /// </summary>
        /// <value></value>
        public List<Menus> Children { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Path { get; set; }
    }
    /// <summary>
    /// 
    /// </summary>
    public class Children
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>
        public int ParentId { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
       
        public string Title { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 图标名称
        /// </summary>
        /// <value></value>

        public string Icon { get; set; }

        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string Path { get; set; }
    }
}