using Datory.Annotations;

namespace GxPress.Entity.Missive
{
    /// <summary>
    /// 站内信
    /// </summary>
    [DataTable("tede_missive")]
    public class Missive : Datory.Entity
    {

        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn]
        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        [DataColumn]
        public string UserName { get; set; }

        /// <summary>
        /// 父级ID用于回复
        /// </summary>
        [DataColumn]
        public int ParentId { get; set; }

        /// <summary>
        /// 1 正常 2 匿名
        /// </summary>
        [DataColumn]
        public int MissiveType { get; set; }
        /// <summary>
        /// 发件人ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SendUserId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceId { get; set; }
    }
}
