using System;
using System.Collections.Generic;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 时常联系
    /// </summary>
    [DataTable("tede_often_contact")]
    public class OftenContact : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 好友ID或者群ID
        /// </summary>
        [DataColumn]
        public string ContactUserId { get; set; }

        /// <summary>
        /// 工作组ID
        /// </summary>
        [DataColumn]
        public int IndividualGroupId { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [DataColumn]
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// 1单聊 2群聊
        /// </summary>
        [DataColumn]
        public int ChatType { get; set; }

        /// <summary>
        /// 是否黑名单
        /// </summary>
        [DataColumn]
        public bool IsBlack { get; set; }

        /// <summary>
        /// 是否置顶
        /// </summary>
        [DataColumn]
        public bool IsTop { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        [DataColumn]
        public bool IsDelete { get; set; }
    }
}
