using Datory.Annotations;

namespace GxPress.Entity.SystemLabel
{
    /// <summary>
    /// 系统标签
    /// </summary>
    [DataTable("tede_system_lable")]
    public class SystemLabel : Datory.Entity
    {
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LabelName { get; set; }

        /// <summary>
        /// 标签名称描述
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LabelNameDescribe { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Remark { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Sort { get; set; }

        /// <summary>
        /// 是否跳转
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsSkip { get; set; }

        /// <summary>
        /// 是否分页
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsPage { get; set; }

        /// <summary>
        /// 分页条数
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int PageSize { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string ActionUrl { get; set; }
        /// <summary>
        /// 资源类型 文章100书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120,榜单130,示范课堂140,品牌专区1(150),品牌专区2(160)
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ResourceType { get; set; }

        /// <summary>
        /// 样式类型
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string StyleType { get; set; }
        /// <summary>
        /// 是否显示标签名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsShowLabelName { get; set; }

        /// <summary>
        /// 是否明栏
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsStarLable { get; set; }
    }
}