using System;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 用户
    /// </summary>
    [DataTable("tede_user")]
    public class User : Datory.Entity
    {
        /// <summary>
        /// 手机
        /// </summary>
        [DataColumn]
        public string Phone { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>
        [DataColumn]
        public string Nick { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 登陆名
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LoginAccountNumber { get; set; }

        /// <summary>
        /// 机构id
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int OrganizationId { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        [DataColumn]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 性别
        /// Gender
        /// </summary>
        [DataColumn]
        public string Gender { get; set; }

        /// <summary>
        /// 角色id
        /// </summary>
        [DataColumn]
        public int RoleId { get; set; }

        /// <summary>
        /// 部门id
        /// </summary>
        [DataColumn]
        public int DepartmentId { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [DataColumn]
        public string DepartmentName { get; set; }

        /// <summary>
        /// 职位
        /// </summary>
        [DataColumn]
        public string Position { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [DataColumn]
        public string Email { get; set; }

        /// <summary>
        /// 签名
        /// </summary>
        [DataColumn]
        public string Signature { get; set; }

        /// <summary>
        /// 自我介绍
        /// </summary>
        [DataColumn]
        public string Description { get; set; }

        /// <summary>
        /// 是否是领导
        /// </summary>
        [DataColumn]
        public bool IsLeader { get; set; }

        /// <summary>
        /// 入职时间
        /// </summary>
        [DataColumn]
        public DateTime EntryDataTime { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        [DataColumn]
        public string City { get; set; }
        /// <summary>
        /// 是否接收私信
        /// </summary>
        [DataColumn]
        public bool IsPrivateLetter { get; set; }
        /// <summary>
        /// 是否接收通知
        /// </summary>
        [DataColumn]
        public bool IsNotice { get; set; }
        /// <summary>
        /// 是否接收回复
        /// </summary>
        [DataColumn]
        public bool IsReply { get; set; }
        /// <summary>
        /// 是否静音
        /// </summary>
        [DataColumn]
        public bool IsMute { get; set; }
        /// <summary>
        /// 是否震动
        /// </summary>
        [DataColumn]
        public bool IsShake { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>
        [DataColumn]
        public string ImId { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>
        [DataColumn]
        public string QRCoder { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsUpload { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 禁用时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime DisableTiem { get; set; }
        /// <summary>
        /// 微信唯一标示码
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string OpenId { get; set; }
        /// <summary>
        /// 是否VIP
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsVip { get; set; }
        /// <summary>
        /// 会员类型 1月卡 2季卡 3年卡
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 终端 pc android ios
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Port { get; set; }
        /// <summary>
        /// 会员开始时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 会员结束时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 累计价格
        /// </summary>
        /// <value></value>
        [DataColumn]
        public decimal AccumulativePrice { get; set; }
        /// <summary>
        /// 是否自动续费
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsRenewal { get; set; }
        /// <summary>
        /// 续费次数
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int RenewalCount { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remark { get; set; }
        /// <summary>
        /// 是否冻结 
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsFreeze { get; set; }
        /// <summary>
        /// 登录时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime LoginTime { get; set; }
        /// <summary>
        /// 省份
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Province { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Press { get; set; }
        /// <summary>
        /// 历史用户头像
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string HistoryAvatarUrl { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDelete { get; set; }
    }
}