using Datory.Annotations;

namespace GxPress.Entity.UserMiddle
{
    /// <summary>
    /// 选择用户中间表
    /// </summary>
    [DataTable("tede_user_middle")]
    public class UserMiddle : Datory.Entity
    {
        /// <summary>
        /// 类型类型 1 通知 2话题 3 收藏 4笔记 5 普通站内信 6匿名站内信 7小组  10:通知收件人 20:通知抄送人 30:站内信收集人 40:站内信抄送人 400 会议纪要
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int MiddleType { get; set; }
        /// <summary>
        ///  用户中间类型 0 用户 1 部门 2系统 3 自建分组
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceType { get; set; }
        /// <summary>
        /// 来源ID 对应来源类型
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceId { get; set; }
        /// <summary>
        /// 对应来源ID 1 我的小组 2群聊
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceTypeValue { get; set; }
        /// <summary>
        /// 来源名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string SourceName { get; set; }
        /// <summary>
        /// 数据来源ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int DataSourceId { get; set; }
    }
}