using System;
using Datory.Annotations;

namespace GxPress.Entity.Vip
{
    /// <summary>
    /// 会员
    /// </summary>
    [DataTable("tede_vip")]
    public class Vip : Datory.Entity
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 会员类型 月卡 季卡 年卡
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 终端 pc android ios
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Port { get; set; }
        /// <summary>
        /// 会员开始时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 会员结束时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 开通价格
        /// </summary>
        /// <value></value>
        [DataColumn]
        public decimal Price { get; set; }

        /// <summary>
        /// 支付方式 1 微信 2 支付宝
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int PayWay { get; set; }

    }
}