using System;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkCar
{
    /// <summary>
    /// 预定车辆
    /// </summary>
    [DataTable("tede_car_order")]
    public class CarOrder : Datory.Entity
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 车辆Id
        /// </summary>
        [DataColumn] 
        public int CarId { get; set; }

        /// <summary>
        /// 用车事由
        /// </summary>
        [DataColumn]
        public string Reasons { get; set; }

        /// <summary>
        /// 目的地
        /// </summary>
        [DataColumn]
        public string Destination { get; set; }

        /// <summary>
        /// 类型Id
        /// </summary>
        [DataColumn]
        public int TypeId { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataColumn]
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [DataColumn]
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 预定时间
        /// </summary>
        [DataColumn] 
        public int Hour { get; set; }
    }
}