using Datory.Annotations;

namespace GxPress.Entity.WorkFlow
{
    /// <summary>
    /// 工作流附件
    /// </summary>
    [DataTable("tede_flow_attachment")]
    public class FlowAttachment : Datory.Entity
    {
        /// <summary>
        /// 文件夹类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信  7小组 8 会议详情  14工作流审批 300 文件
        /// </summary>
        [DataColumn]
        public int SoureTypeId { get; set; }
        /// <summary>
        /// 文件夹类型 1 工作 2会议
        /// </summary>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        [DataColumn]
        public int SoureId { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Url { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 工作Id或者会议
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FlowId { get; set; }
        /// <summary>
        /// 大小
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Size { get; set; }

        /// <summary>
        /// 缩略图
        /// </summary>
        /// <value></value>
        public string MinUrl { get; set; }
    }
}