using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkMeeting
{
    /// <summary>
    /// 会议房间
    /// </summary>
    [DataTable("tede_meeting_room")]
    public class MeetingRoom : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 会议地址Id
        /// </summary>
        [DataColumn] 
        public int LocationId { get; set; }

        /// <summary>
        /// 启用/禁用
        /// </summary>
        [DataColumn]
        public bool Disabled { get; set; }

        /// <summary>
        /// 座位数
        /// </summary>
        [DataColumn] 
        public int Capacity{ get; set; }

        /// <summary>
        /// 图片url
        /// </summary>
        [DataColumn]
        public string ImageUrl { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [DataColumn] 
        public string Description { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Taxis { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        public string Address { get; set; }
    }
}