using System.Collections.Generic;
using Datory.Annotations;
using GxPress.Common.Tools;

namespace GxPress.Entity.WorkMeeting
{
    /// <summary>
    /// 会议纪要
    /// </summary>
    [DataTable("tede_meeting_summary")]
    public class MeetingSummary : Datory.Entity
    {
        /// <summary>
        /// 会议纪要主题
        /// </summary>
        [DataColumn]
        public string Title { get; set; }

        /// <summary>
        /// 会议纪要正文
        /// </summary>
        [DataColumn(Text = true)]
        public string Content { get; set; }
        /// <summary>
        /// 会议室Id
        /// </summary>
        [DataColumn]
        public int RoomId { get; set; }

        /// <summary>
        /// 会议Id
        /// </summary>
        [DataColumn]
        public int MeetingId { get; set; }

        /// <summary>
        /// 发起人
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        [DataColumn]
        public string UserIdCollection { get; set; }

        /// <summary>
        /// 发送人Id
        /// </summary>
        public IEnumerable<int> UserIds{get;set;}
    }
}