using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 审批流程定义
    /// </summary>
    [DataTable("tede_process")]
    public class Process : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 工作流组id
        /// </summary>
        [DataColumn] 
        public int GroupId { get; set; }

        /// <summary>
        /// 图标url
        /// </summary>
        [DataColumn] 
        public string IconUrl { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        [DataColumn] 
        public string Description { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [DataColumn] 
        public bool IsDisabled { get; set; }

        /// <summary>
        /// 限制类型
        /// </summary>
        [DataColumn] 
        public string LimitType { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }

        /// <summary>
        /// 是否允许用户自选审批人
        /// </summary>
        [DataColumn]
        public bool AllowApproverCheck { get; set; }

        /// <summary>
        /// 是否允许用户自选抄送人
        /// </summary>
        [DataColumn]
        public bool AllowCarbonCopy { get; set; }

        /// <summary>
        /// Word模板文件地址
        /// </summary>
        [DataColumn]
        public string TemplatePath { get; set; }
    }
}