using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 流程表单字段
    /// </summary>
    [DataTable("tede_process_field")]
    public class ProcessField : Datory.Entity
    {
        /// <summary>
        /// 流程id
        /// </summary>
        [DataColumn] 
        public int ProcessId { get; set; }

        /// <summary>
        /// 字段显示名称
        /// </summary>
        [DataColumn] 
        public string Label { get; set; }

        /// <summary>
        /// 字段类型
        /// ProcessFieldType
        /// </summary>
        [DataColumn]
        public string Type { get; set; }

        /// <summary>
        /// 输入提示
        /// </summary>
        [DataColumn] 
        public string Placeholder { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        [DataColumn] 
        public string Unit { get; set; }

        /// <summary>
        /// 是否必填(只有必填项才可以作为审批条件)
        /// </summary>
        [DataColumn] 
        public bool Required { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn] 
        public int Sort { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [DataColumn]
        public string Options { get; set; }
    }
}