using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 流程节点
    /// </summary>
    [DataTable("tede_process_node")]
    public class ProcessNode : Datory.Entity
    {
        /// <summary>
        /// 流程id
        /// </summary>
        [DataColumn] 
        public int ProcessId { get; set; }

        /// <summary>
        /// 节点名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 节点类型
        /// ProcessNodeType
        /// </summary>
        [DataColumn]
        public string Type { get; set; }

        /// <summary>
        /// 父节点id
        /// </summary>
        [DataColumn] 
        public int ParentId { get; set; }

        /// <summary>
        /// 自读字段
        /// </summary>
        [DataColumn]
        public string ReadOnlyFields { get; set; }

        /// <summary>
        /// 隐藏字段
        /// </summary>
        [DataColumn]
        public string HiddenFields { get; set; }

        /// <summary>
        /// 是否允许上会
        /// </summary>
        [DataColumn]
        public bool AllowMeeting { get; set; }

        /// <summary>
        /// 默认审批人
        /// </summary>
        [DataColumn]
        public int DefaultApprovalUserId { get; set; }

        /// <summary>
        /// 多人审批规则
        /// ApprovalType
        /// </summary>
        [DataColumn]
        public string ApprovalType { get; set; }

        /// <summary>
        /// 级别
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CaseLevel { get; set; }
    }
}