using Datory;
using Datory.Annotations;

namespace GxPress.Entity.WorkProcess
{
    /// <summary>
    /// 条件节点规则
    /// </summary>
    [DataTable("tede_rule_condition")]
    public class RuleCondition : Datory.Entity
    {
        /// <summary>
        /// 条件节点id
        /// </summary>
        [DataColumn] 
        public int NodeId { get; set; }

        /// <summary>
        /// 流程表单字段id
        /// </summary>
        [DataColumn]
        public int FieldId { get; set; }

        /// <summary>
        /// 操作符
        /// </summary>
        [DataColumn] 
        public string Operator { get; set; }

        /// <summary>
        /// 字符串
        /// </summary>
        [DataColumn] 
        public string StringValue { get; set; }

        /// <summary>
        /// 字符串数组
        /// </summary>
        [DataColumn] 
        public string StringValues { get; set; }

        /// <summary>
        /// 数字
        /// </summary>
        [DataColumn]
        public int IntValue { get; set; }

        /// <summary>
        /// 优先级
        /// </summary>
        [DataColumn] 
        public int Sort { get; set; }

        //条件类型情况

        //小于
        //只有最大值有值

        //大于
        //只有最小值有值

        //小于等于
        //只有最大值和等于值有值

        //大于等于
        //只有最小值和等于值有值

        //等于,选项
        //只有等于值有值

        //介于两者之间
        //只有最小值和最大值有值
    }
}