﻿using System.Collections.Generic;

namespace GxPress.Entity.WorkProcessDto
{
    /// <summary>
    /// 流程表单字段
    /// </summary>
    public class FormField
    {
        /// <summary>
        /// 字段唯一标识
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 字段显示名称
        /// </summary>
        public string Label { get; set; }

        /// <summary>
        /// 字段类型(Text,TextArea,Number,Currency,DateTime,Picture,Attachment,Radio,CheckBox)
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// 输入提示
        /// </summary>
        public string Placeholder { get; set; }

        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }

        /// <summary>
        /// 是否必填(只有必填项才可以作为审批条件)
        /// </summary>
        public bool Required { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 字段选项 
        /// </summary>
        public IEnumerable<string> Options { get; set; }

        /// <summary>
        /// 字段值
        /// </summary>
        public string Value { get; set; }
    }
}
