using Datory.Annotations;

namespace GxPress.Entity.tede2.AppStartPage
{
    /// <summary>
    /// APP启动页
    /// </summary>
    [DataTable("tede_app_start_page")]
    public class AppStartPage : Datory.Entity
    {
        /// <summary>
        /// 图片
        /// </summary>
        [DataColumn]
        public string ImageUrl { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Title { get; set; }
        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Creator { get; set; }

        /// <summary>
        /// 操作人姓名
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AdminId { get; set; }
        /// <summary>
        /// App类型 1 ios 2 android
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AppTypeId { get; set; }
        /// <summary>
        /// 连接类型 1 内部 2 外部
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 外部连接地址
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Url { get; set; }
        /// <summary>
        /// 数据类型ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int DataTypeId { get; set; }

        /// <summary>
        /// 数据ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int DataId { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 启动秒
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int Second { get; set; }
    }
}