using System;
using Datory.Annotations;
using GxPress.EnumConst;

namespace GxPress.Entity.tede2.Attach
{
    /// <summary>
    /// 名栏 公众号 期刊
    /// </summary>
    [DataTable("tede_attach")]
    public class Attach : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Name { get; set; }
        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Creator { get; set; }

        /// <summary>
        /// 操作人姓名
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int AdminId { get; set; }
        /// <summary>
        /// 简介
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Summary { get; set; }

        /// <summary>
        /// 分类ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CategoryId { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string CategoryName { get; set; }
        /// <summary>
        /// 资源数量
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int ResourceCount { get; set; }
        /// <summary>
        /// 收藏数量
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int CollectCount { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 职位
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Job { get; set; }
        /// <summary>
        /// 是否推荐
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsRecommend { get; set; }

        /// <summary>
        /// 图片
        /// </summary>
        [DataColumn]
        public string ImageUrl { get; set; }
        /// <summary>
        /// 是否下架
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsWithdraw { get; set; }
        /// <summary>
        /// 期刊名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string JournalName { get; set; }
        /// <summary>
        /// 期刊时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime JournalTime { get; set; }
        /// <summary>
        /// 类型 名栏 公众号 期刊
        /// </summary>
        /// <value></value>
        [DataColumn]
        public AttachTypeConst AttachType { get; set; }
        /// <summary>
        /// 栏目ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int LabelId { get; set; }
        /// <summary>
        /// 栏目名称
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int LabelName { get; set; }
        /// <summary>
        /// 完整类别
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string FullCategoryId { get; set; }
    }
}