using System;
using Datory.Annotations;

namespace GxPress.Entity.tede2.Organization
{
    /// <summary>
    /// 机构
    /// </summary>
    [DataTable("tede_organization_user")]
    public class OrganizationUser : Datory.Entity
    {
        /// <summary>
        /// 登陆账号
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string LoginAccountNumber { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string UserName { get; set; }
        /// <summary>
        /// 手机
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string Phone { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime LoginTime { get; set; }
        /// <summary>
        ///设备 1pc电脑 2 安卓手机 3 IOS手机 4其他
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int FacilityType { get; set; }
        /// <summary>
        /// mac地址
        /// </summary>
        /// <value></value>
        [DataColumn]
        public string MacAddress { get; set; }
        /// <summary>
        /// 开通状态 1 立即 2定时开通
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int OpenStatus { get; set; }
        /// <summary>
        /// 启用时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime OpenTime { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime EndTime { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsDisable { get; set; }
        /// <summary>
        /// 是否到期关闭
        /// </summary>
        /// <value></value>
        [DataColumn]
        public bool IsClose { get; set; }
        /// <summary>
        /// 机构id
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int OrganizationId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int UserId { get; set; }
    }
}