using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 文件夹类型  文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120,收件箱 800
    /// </summary>
    public enum AllTypeConst
    {
        [Description("文本")]
        Text = 1,
        [Description("文章")]
        Article = 100,
        [Description("媒体文章")]
        MediaArticle = 101,
        [Description("话题")]
        Topic = 2,
        [Description("收藏")]
        Collect = 3,
        [Description("笔记")]
        Note = 4,
        [Description("话题")]
        TopicNote = -4,
        [Description("整个话题本")]
        TopicNoteAll = 41,
        [Description("话题本文件夹")]
        TopicNoteFolder = 42,
        [Description("通知")]
        Notice = 5,
        [Description("站内信")]
        Missive = 6,
        [Description("小组")]
        Group = 7,
        [Description("信源")]
        Wechat = 10,
        [Description("收藏文件夹")]
        CollectFolder = 12,
        [Description("笔记文件夹")]
        NoteFolder = 13,
        [Description("工作流审批")]
        Flow = 14,
        [Description("我审批的")]
        MyChecked = 15,
        [Description("我发出的")]
        MySubmitted = 16,
        [Description("抄送我的")]
        MyCc = 17,
        [Description("匿名信")]
        Anonymity = 18,
        [Description("文件")]
        File = 300,
        [Description("图片")]
        Image = 301,
        [Description("会议纪要")]
        MeetingSummary = 8,
        [Description("会议详情")]
        Meeting = 500,
        [Description("财务报表")]
        FinanceReport = 601,
        [Description("人事报表")]
        PersonnelReport = 602,
        [Description("出版报表")]
        PublishReport = 603,
        // [Description("文章")]
        // Article = 1,
        [Description("书籍")]
        Book = 20,
        [Description("课程")]
        Curriculum = 30,
        [Description("音频")]
        Audio = 40,
        [Description("期刊")]
        Journal = 50,
        [Description("视频")]
        Video = 60,
        [Description("名栏")]
        StarColumn = 90,
        [Description("公众号")]
        PublicNumber = 110,
        [Description("刊期")]
        Magazine = 120,
        [Description("收件箱")]
        Inbox = 800,
    }
    /// <summary>
    /// App频道
    /// </summary>
    public enum AppChannelConst
    {
        [Description("公众号")]
        PublicNumebr = 700,
        [Description("视频")]
        Video = 710,
        [Description("期刊杂志")]
        Periodical = 720,
        [Description("图书")]
        Books = 730,
    }
    /// <summary>
    /// 话题笔记系统分组
    /// </summary>
    public enum TopicNotoGropConst
    {
        [Description("全部")]
        All = 0,
        [Description("我的")]
        My = -1,
        [Description("同单位")]
        Work = -2,
        [Description("推荐")]
        Recommend = -3,
    }
    /// <summary>
    /// 用户通讯录
    /// /// </summary>
    public enum UserlinkConst
    {
        [Description("用户")]
        User = 0,
        [Description("单位通讯录")]
        Work = 1,
        [Description("系统通讯录")]
        System = 2,
        [Description("我的小组")]
        MyGroup = 20,
        [Description("我的群聊")]
        MyGroupChat = 21,
        [Description("我的小组文件夹")]
        MyGroupFolder = 22,
        [Description("自建通讯录")]
        My = 3,
        [Description("其他")]
        Other = 4
    }
    /// <summary>
    /// 状态码
    /// </summary>
    public enum StatusCodeConst
    {
        [Description("成功")]
        SucceedCode = 200,
        [Description("失败")]
        ErrorCode = 100,
        [Description("服务器异常")]
        ErrorMsg = -1,
    }
    /// <summary>
    /// 权限
    /// </summary>
    public enum MiddleRoleConst
    {
        [Description("公开")]
        Publicity = 1,
        [Description("私有")]
        PrivatelyOwned = 2,
        [Description("共享")]
        Share = 3
    }

    public enum AttributeValueConst
    {
        [Description("普通文件")]
        File = 1,
        [Description("文件夹")]
        Folder = 2
    }
}