using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 会员类型
    /// </summary>
    public enum VipCardTypeConst
    {
        [Description("月费会员")]
        Month = 1,
        [Description("季度会员")]
        Season = 2,
        [Description("年费会员")]
        Year = 3,
        [Description("连续月费会员")]
        ContinuousMonth = 4
    }
    /// <summary>
    /// 终端
    /// </summary>
    public enum VipPortTypeConst
    {
        //客户端
        [Description("PC电脑")]
        Pc = 1,
        //Android手机
        [Description("安卓手机")]
        Android = 2,
        //苹果手机
        [Description("ios手机")]
        Ios = 3,
        [Description("其他")]
        Other = 4
    }
    /// <summary>
    /// 支付方式
    /// </summary>
    public enum PayWayTypeConst
    {
        [Description("微信支付")]
        WeChatPay = 1,
        [Description("支付宝")]
        AliyPay = 2
    }
    /// <summary>
    /// 支付类型
    /// </summary>
    public enum PayUrlRequetTypeConst
    {
        Media = 1,
        Vip = 2,
    }
    /// <summary>
    /// 资源类型 文章100书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120 
    /// </summary>
    public enum ResourceTypeConst
    {
        [Description("文章")]
        Article = 100,
        [Description("书籍")]
        Book = 20,
        [Description("课程")]
        Curriculum = 30,
        [Description("音频")]
        Audio = 40,
        [Description("期刊")]
        Journal = 50,
        [Description("视频")]
        Video = 60

    }
    /// <summary>
    /// 名栏 公众号 期刊
    /// </summary>
    public enum AttachTypeConst
    {
        [Description("名栏")]
        StarColumn = 90,
        [Description("公众号")]
        PublicNumber = 110,
        [Description("刊期")]
        Magazine = 120
    }
}