using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Request.App.Missive
{
    /// <summary>
    /// 添加站内信
    /// </summary>
    public class MissiveInRequest
    {
        /// <summary>
        /// 站内信ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>

        public string Content { get; set; }
        /// <summary>
        /// html内容
        /// </summary>
        /// <value></value>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 1 正常 2 匿名
        /// </summary>

        public int MissiveType { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        public List<int> MissiveAddresseeUserIds { get; set; }
        /// <summary>
        /// 抄送人
        /// </summary>
        public List<int> MissiveCcUserIds { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public int ParentId { get; set; }

        /// <summary>
        /// 类型 (1 发送 2 草稿)
        /// </summary>
        public NoticeTypeConst MissiveAttributeType { get; set; }
        /// <summary>
        /// 文件夹Id
        /// </summary>
        public int FolderId { get; set; }

        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> CcUserMiddles { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public MissiveInRequest()
        {
            AddresseeUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            CcUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            MissiveAddresseeUserIds = new List<int>();
            MissiveCcUserIds = new List<int>();
        }
    }
}
