﻿using System;
using System.Collections.Generic;

namespace GxPress.Request.App.WorkMeeting
{
    /// <summary>
    /// 创建会议
    /// </summary>
    public class MeetingOrderRequest
    {
        /// <summary>
        /// 会议ID
        /// </summary>
        /// <value></value>
        public int MeetingId{get;set;}
        /// <summary>
        /// 预定列表
        /// </summary>
        public List<DateTime> Orders { get; set; }

        /// <summary>
        /// 会议主题
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 附件Id列表
        /// </summary>
        public IEnumerable<int> FileIds { get; set; }

        /// <summary>
        /// 参会人Id列表
        /// </summary>
        public IEnumerable<int> UserIds { get; set; }
        /// <summary>
        /// 新版附件
        /// </summary>
        /// <value></value>
        public List<Entity.WorkFlow.FlowAttachment> flowAttachments { get; set; }
        /// <summary>
        /// 构造附件
        /// </summary>
        public MeetingOrderRequest()
        {
            flowAttachments = new List<Entity.WorkFlow.FlowAttachment>();
        }
    }
}
