﻿using System;
using System.Collections.Generic;

namespace GxPress.Request.App.WorkMeeting
{
    /// <summary>
    /// 
    /// </summary>
    public class MeetingResult
    {
        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 会议房间
        /// </summary>
        /// <value></value>
          public Entity.WorkMeeting.MeetingRoom MeetingRoom { get; set; }

        /// <summary>
        /// 会议Id
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 会议地址
        /// </summary>
        public string Address { get; set; }
        /// <summary>
        /// 会议预订时段
        /// </summary>
        /// <value></value>
        public List<TimeDictionary> OrderList { get; set; }
        /// <summary>
        /// 当前房间所有预定时间
        /// </summary>
        /// <value></value>
        public List<TimeDictionary> OrderAllList { get; set; }

        /// <summary>
        /// 发送范围
        /// </summary>
        public IEnumerable<int> UserIds { get; set; }

        /// <summary>
        /// 会议名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 会议简介
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 图片
        /// </summary>
        public string ImageUrl { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public SortedDictionary<string, List<int>> Orders { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public bool Disabled { get; set; }
        /// <summary>
        /// 会议房间名称
        /// </summary>
        /// <value></value>
        public string RoomName { get; set; }
        /// <summary>
        /// 会议时间
        /// </summary>
        /// <value></value>
        public List<MeetingTime> MeetingTimes { get; set; }
        /// <summary>
        /// 状态 0 待开会 1 已开会
        /// </summary>
        /// <value></value>
        public int Status { get; set; }
        /// <summary>
        /// 附件
        /// </summary>
        /// <value></value>
        public List<Entity.WorkFlow.FlowAttachment> FlowAttachments { get; set; }
        /// <summary>
        /// 会议参会人员
        /// </summary>
        /// <value></value>
        public IEnumerable<MeetingUserResult> MeetingUserResults { get; set;}
    }
    /// <summary>
    /// 会议时间
    /// </summary>
    public class MeetingTime
    {
        /// <summary>
        /// 日期
        /// </summary>
        /// <value></value>
        public string DateValue { get; set; }
        /// <summary>
        /// 星期
        /// </summary>
        /// <value></value>
        public string WeekValue { get; set; }
        /// <summary>
        /// 开始时段
        /// </summary>
        /// <value></value>
        public int BeginHour { get; set; }
        /// <summary>
        /// 结束时段
        /// </summary>
        /// <value></value>
        public int EndHour { get; set; }
    }
}
