﻿using System;
using System.Collections.Generic;
using GxPress.Common.Page;
using GxPress.Result.App.Analyze;

namespace GxPress.Request.App.WorkMeeting
{
    /// <summary>
    /// 
    /// </summary>
    public class MeetingSummaryResult
    {
        public int Id { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 会议Id
        /// </summary>
        public int MeetingId { get; set; }

        /// <summary>
        /// 会议名称
        /// </summary>
        public string MeetingName { get; set; }

        /// <summary>
        /// 会议地址
        /// </summary>
        public string Address { get; set; }

        /// <summary>
        /// 发送范围
        /// </summary>
        public IEnumerable<int> UserIds { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 正文
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 会议时间
        /// </summary>
        /// <value></value>
        public List<MeetingTime> MeetingTimes { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }

        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }

        /// <summary>
        /// 点赞数据
        /// </summary>
        public PagedList<PraisePageResult> PraisePagedList { get; set; }
        /// <summary>
        /// 是否是自己创建
        /// </summary>
        /// <value></value>
        public bool IsAdmin { get; set; }
    }
}
