using System;
using System.Collections.Generic;
using GxPress.Entity;
using GxPress.Entity.Article;

namespace GxPress.Request.Article
{
    /// <summary>
    /// 添加文章
    /// </summary>
    public class ArticleAddRequest
    {
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 组id
        /// </summary>
        public int GroupId { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        public IEnumerable<string> ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>
        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>
        public string Author { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        public string Source { get; set; }

        /// <summary>
        /// Json内容
        /// </summary>
        public IEnumerable<Block> Blocks { get; set; }
         /// <summary>
        /// 新版json
        /// </summary>
        /// <value></value>
        public ArticleContent ArticleContent { get; set; }

        /// <summary>
        /// 审核状态
        /// </summary>
        public bool IsChecked { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>
        public DateTime AddDate { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsTop { get; set; }
        /// <summary>
        /// 文章标签
        /// </summary>
        /// <value></value>
        public List<int> ArticleLabelIds { get; set; }
    }

}