using System.Collections.Generic;

namespace GxPress.Request.Navigation
{
    public class NavigationRequest
    {

    }
    /// <summary>
    /// 内容导航搜索
    /// </summary>
    public class NavigationSearchRequest
    {
        /// <summary>
        /// 分类ID
        /// </summary>
        /// <value></value>
        public int CategoryId { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public string EndTime { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        public string Sort { get; set; }
        /// <summary>
        /// 作者ID
        /// </summary>
        /// <value></value>
        public List<int> TeacherId { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        /// <value></value>
        public List<string> Unit { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>
        /// <value></value>
        public List<string> Press { get; set; }

    }
    /// <summary>
    /// 修改导航
    /// </summary>
    public class NavigationUpRequest
    {
        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 导航名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 是否禁用 1设置2取消
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>

        public int ParentId { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }
        /// <summary>
        /// 中间件页面ID
        /// </summary>
        /// <value></value>

        public int MiddleLableId { get; set; }
        /// <summary>
        /// 是否可以操作 1设置2取消
        /// </summary>
        /// <value></value>

        public int Isoperate { get; set; }
        /// <summary>
        /// 终端 1 pc 2 移动端
        /// </summary>
        /// <value></value>

        public int Terminal { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
    }
    /// <summary>
    /// 年份搜索
    /// </summary>
    public class NavigationYearRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public string EndTime { get; set; }
        /// <summary>
        /// 分类ID
        /// </summary>
        /// <value></value>
        public int CategoryId { get; set; }
    }
}