using System;
using System.Collections.Generic;
using System.Text;
using GxPress.EnumConst;

namespace GxPress.Request.Notice
{
    /// <summary>
    /// 编辑通知
    /// </summary>
    public class NoticeUpRequest
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }

        /// <summary>
        /// 类型 (1 发送 2 草稿)
        /// </summary>
        public NoticeTypeConst NoticeType { get; set; }

        /// <summary>
        /// 来源Id
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public List<int> NoticeAddresseeUserIds { get; set; }

        /// <summary>
        /// 抄送人
        /// </summary>
        public List<int> NoticeCcUserIds { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public List<Request.UserMiddle.UserMiddleInRequest> CcUserMiddles { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public NoticeUpRequest()
        {
            NoticeAddresseeUserIds = new List<int>();
            AddresseeUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            CcUserMiddles = new List<UserMiddle.UserMiddleInRequest>();
            NoticeCcUserIds = new List<int>();
        }
    }
}
