using System;
using System.Collections.Generic;

namespace GxPress.Request.OrganizationUser
{
    public class OrganizationUserRequest
    {

    }
    /// <summary>
    /// 修改
    /// </summary>
    public class OrganizationUserDisableUpdateRequest
    {
        /// <summary>
        /// id集合
        /// </summary>
        /// <value></value>
        public List<int> Ids { get; set; }
        /// <summary>
        /// 是否停用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
    }
    /// <summary>
    /// 搜索
    /// </summary>
    public class OrganizationUserSearchRequest : Common.Page.PageParameter
    {
        /// <summary>
        /// 机构id
        /// </summary>
        /// <value></value>

        public int OrganizationId { get; set; }
        /// <summary>
        /// 搜索字段
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
    }
    /// <summary>
    /// 修改
    /// </summary>
    public class OrganizationUserUpdateRequest
    {
        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 登陆账号
        /// </summary>
        /// <value></value>

        public string LoginAccountNumber { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>

        public string UserName { get; set; }
        /// <summary>
        /// 手机
        /// </summary>
        /// <value></value>

        public string Phone { get; set; }
        /// <summary>
        /// 登陆时间
        /// </summary>
        /// <value></value>

        public DateTime LoginTime { get; set; }
        /// <summary>
        ///设备 1pc电脑 2 安卓手机 3 IOS手机 4其他
        /// </summary>
        /// <value></value>

        public int FacilityType { get; set; }
        /// <summary>
        /// mac地址
        /// </summary>
        /// <value></value>

        public string MacAddress { get; set; }
        /// <summary>
        /// 开通状态 1 立即 2定时开通
        /// </summary>
        /// <value></value>

        public int OpenStatus { get; set; }
        /// <summary>
        /// 启用时间
        /// </summary>
        /// <value></value>

        public string OpenTime { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>

        public string BeginTime { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>

        public string EndTime { get; set; }
        /// <summary>
        /// 是否禁用 1设置 2取消
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
        /// <summary>
        /// 是否到期关闭 1设置 2取消
        /// </summary>
        /// <value></value>

        public int IsClose { get; set; }
        /// <summary>
        /// 机构id
        /// </summary>
        /// <value></value>

        public int OrganizationId { get; set; }
    }
}