using System;
using System.Collections.Generic;
using GxPress.Common.Page;

namespace GxPress.Request.User
{
    public class UserRequest
    {

    }
    /// <summary>
    /// 
    /// </summary>
    public class UserInfoRequest
    {
        /// <summary>
        /// 手机
        /// </summary>

        public string Phone { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>

        public string Nick { get; set; }
        /// <summary>
        /// 姓名
        /// </summary>

        public string Name { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 性别
        /// Gender
        /// </summary>

        public string Gender { get; set; }

        /// <summary>
        /// 角色id
        /// </summary>

        public int RoleId { get; set; }

        /// <summary>
        /// 部门id
        /// </summary>

        public IEnumerable<int> DepartmentId { get; set; }

         /// <summary>
        /// 部门id
        /// </summary>

        public string DepartmentName { get; set; }

        /// <summary>
        /// 职位
        /// </summary>

        public string Position { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>

        public string Email { get; set; }

        /// <summary>
        /// 签名
        /// </summary>

        public string Signature { get; set; }

        /// <summary>
        /// 自我介绍
        /// </summary>

        public string Description { get; set; }

        /// <summary>
        /// 是否是领导
        /// </summary>

        public int IsLeader { get; set; }

        /// <summary>
        /// 入职时间
        /// </summary>

        public DateTime EntryDataTime { get; set; }
        /// <summary>
        /// 城市
        /// </summary>

        public string City { get; set; }
        /// <summary>
        /// 是否接收私信
        /// </summary>

        public int IsPrivateLetter { get; set; }
        /// <summary>
        /// 是否接收通知
        /// </summary>

        public int IsNotice { get; set; }
        /// <summary>
        /// 是否接收回复
        /// </summary>

        public int IsReply { get; set; }
        /// <summary>
        /// 是否静音
        /// </summary>

        public int IsMute { get; set; }
        /// <summary>
        /// 是否震动
        /// </summary>

        public int IsShake { get; set; }
        /// <summary>
        /// 环信ID
        /// </summary>

        public string ImId { get; set; }
        /// <summary>
        /// 二维码
        /// </summary>

        public string QRCoder { get; set; }
        /// <summary>
        /// 是否上传
        /// </summary>
        /// <value></value>

        public int IsUpload { get; set; }
        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public int IsDisable { get; set; }
        /// <summary>
        /// 禁用到期时间
        /// </summary>
        /// <value></value>
        public string DisableTiem { get; set; }
        /// <summary>
        /// 微信唯一标示码
        /// </summary>
        /// <value></value>

        public string OpenId { get; set; }
        /// <summary>
        /// 是否VIP
        /// </summary>
        /// <value></value>

        public int IsVip { get; set; }
        /// <summary>
        /// 会员类型 月卡 季卡 年卡
        /// </summary>
        /// <value></value>

        public int TypeId { get; set; }
        /// <summary>
        /// 终端 pc android ios
        /// </summary>
        /// <value></value>

        public int Port { get; set; }
        /// <summary>
        /// 会员开始时间
        /// </summary>
        /// <value></value>

        public DateTime BeginTime { get; set; }
        /// <summary>
        /// 会员结束时间
        /// </summary>
        /// <value></value>

        public DateTime EndTime { get; set; }
        /// <summary>
        /// 累计价格
        /// </summary>
        /// <value></value>

        public decimal AccumulativePrice { get; set; }
        /// <summary>
        /// 是否自动续费
        /// </summary>
        /// <value></value>

        public int IsRenewal { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Remark { get; set; }


        /// <summary>
        /// 是否冻结 
        /// </summary>
        /// <value></value>

        public int IsFreeze { get; set; }

    }
    /// <summary>
    /// 会员用户
    /// </summary>
    public class UserSearchVipRequest : PageParameter
    {
        /// <summary>
        /// 搜索内容
        /// </summary>
        /// <value></value>
        public string KeyWord { get; set; }
        /// <summary>
        /// 月卡  1,季卡 2,年卡 3 ,0全部
        /// </summary>
        /// <value></value>
        public int VipTypeId { get; set; }
        /// <summary>
        /// 终端 Pc = 1, Android = 2,Ios = 3,0全部
        /// </summary>
        /// <value></value>
        public int VipPort { get; set; }
        /// <summary>
        /// 黑名单 设置 2 未设置 0 全部
        /// </summary>
        /// <value></value>
        public int IsDisable { get; set; }
        /// <summary>
        /// 是否冻结 1 冻结 2未冻结
        /// </summary>
        /// <value></value>
        public int IsFreeze { get; set; }
        /// <summary>
        /// 是否 VIP 1是 2否 0 全部
        /// </summary>
        /// <value></value>
        public int IsVip { get; set; }
        /// <summary>
        /// 开始累计价格
        /// </summary>
        /// <value></value>
        public decimal BeginAccumulativePrice { get; set; }
        /// <summary>
        /// 结束累计价格
        /// </summary>
        /// <value></value>
        public decimal EndAccumulativePrice { get; set; }

        /// <summary>
        /// 续费次数
        /// </summary>
        /// <value></value>

        public int RenewalCount { get; set; }
    }
    /// <summary>
    /// 修改用户
    /// </summary>
    public class UserUpdateDisableRequest
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public List<int> Ids { get; set; }
        /// <summary>
        /// 启用
        /// </summary>
        /// <value></value>
        public bool IsDisable { get; set; }
    }

}