namespace GxPress.Result.App.Collection
{
    /// <summary>
    /// 收藏分页结果
    /// </summary>
    public class CollectionListPageResult : Middle.Middle
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 收藏自增ID
        /// </summary>
        public int CollectionId { get; set; }
        /// <summary>
        /// 收藏类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信  7小组 8 会议详情  14工作流审批 300 文件
        /// </summary>

        public int CollectionType { get; set; }
        /// <summary>
        /// 收藏 笔记来源用户ID
        /// </summary>
        /// <value></value>
        public int SourceUserId { get; set; }

        /// <summary>
        /// 数据类型ID
        /// </summary>

        public int CollectionDataId { get; set; }


        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 
        /// </summary>

        public CollectionContentJsonData Data { get; set; }

        /// <summary>
        /// 文件数量
        /// </summary>
        public int FileCount { get; set; }

    }

    /// <summary>
    /// 收藏分页结果
    /// </summary>
    public class CollectionResult
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 收藏类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信 7小组 8 会议详情
        /// </summary>

        public int CollectionType { get; set; }

        /// <summary>
        /// 数据类型ID
        /// </summary>

        public int CollectionDataId { get; set; }


        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 
        /// </summary>

        public CollectionContentJsonData Data { get; set; }

        /// <summary>
        /// 访问数量
        /// </summary>
        public int ReadCount { get; set; }

    }

    /// <summary>
    /// 收藏分页结果
    /// </summary>
    public class CollectionNoFolderResult
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 收藏类型 1文章 2话题 3 收藏 4笔记 5通知 6站内信 7小组 8 会议详情
        /// </summary>
        public int CollectionType { get; set; }
        /// <summary>
        /// 数据类型ID
        /// </summary>
        public int CollectionDataId { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public CollectionContentJsonData Data { get; set; }

        /// <summary>
        /// 文件夹名称
        /// </summary>
        public string FolderName { get; set; }
        /// <summary>
        /// 文件夹Id
        /// </summary>
        public int FolderId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int MiddleId { get; set; }
        /// <summary>
        /// 来源的用户ID
        /// </summary>
        /// <value></value>
        public int SourceUserId { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        /// <value></value>
        public bool IsTop { get; set; }
    }
}
