using System.Collections.Generic;

namespace GxPress.Result.App.Missive
{

    /// <summary>
    /// 站内信详情
    /// </summary>
    public class MissiveDetailResult
    {
        /// <summary>
        ///     当前页的数据
        /// </summary>
        public List<MissiveInfo> Items { get; set; }
        /// <summary>
        /// 站内信ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 内容数据
        /// </summary>
        public List<ContentJsonData> Data { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>

        public string UserName { get; set; }

        /// <summary>
        /// 父级ID用于回复
        /// </summary>

        public int ParentId { get; set; }

        /// <summary>
        /// 1 正常 2 匿名
        /// </summary>

        public int MissiveType { get; set; }

        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollection { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsLaud { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public List<MissiveAddresseeUser> MissiveAddresseeUsers { get; set; }

        /// <summary>
        /// 抄送人
        /// </summary>
        public List<MissiveCcUser> MissiveCcUsers { get; set; }

        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> CcUserMiddles { get; set; }
    }

    /// <summary>
    /// 站内信收件人
    /// </summary>
    public class MissiveAddresseeUser
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
    }
    /// <summary>
    /// 站内信抄送人
    /// </summary>
    public class MissiveCcUser
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
    }
}
