using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Result.User;

namespace GxPress.Result.App.Missive
{
    /// <summary>
    /// 查询站内信
    /// </summary>
    public class MissiveSearchResult : Middle.Middle
    {
        /// <summary>
        /// 自增ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }
        /// <summary>
        /// json数据
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 发件人姓名
        /// </summary>
        public string SendName { get; set; }

        /// <summary>
        /// 1 普通 2 匿名
        /// </summary>
        public int MissiveType { get; set; }
        /// <summary>
        /// 收件人
        /// </summary>
        public List<UserResult> AddresseeUsers { get; set; }
        /// <summary>
        /// 已读数量
        /// </summary>
        public int ReadCount { get; set; }
        /// <summary>
        /// 总量
        /// </summary>
        public int AllCount { get; set; }

        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 文件个数
        /// </summary>
        public int FileCount { get; set; }

        /// <summary>
        /// 发件人ID
        /// </summary>
        /// <value></value>
        public int SendUserId { get; set; }
        /// <summary>
        /// 站内信状态 0 删除 1 正常 2 草稿
        /// </summary>
        /// <value></value>
        public int MissiveStatus { get; set; }

        /// <summary>
        /// 关联站内信Id
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }

    }
}
