using System;
using System.Collections.Generic;
using GxPress.Common.Page;
using GxPress.Result.App.Analyze;

namespace GxPress.Result.App.Note
{
    /// <summary>
    /// 通知详情
    /// </summary>
    public class NoteDetailResult
    {
        /// <summary>
        /// 笔记ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string Content { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 阅读数量
        /// </summary>

        public int ReadCount { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 数据
        /// </summary>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 文件数量
        /// </summary>
        /// <value></value>
        public int FileCount { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        /// <value></value>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }

        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 文章点赞数据
        /// </summary>
        public PagedList<PraisePageResult> NotePraisePagedList { get; set; }

        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }
        /// <summary>
        /// 是否自建
        /// </summary>
        /// <value></value>
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 共享文件夹ID
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }

        /// <summary>
        /// 共享文件夹ID
        /// </summary>
        /// <value></value>
        public string FolderName { get; set; }
    }
}
