using System;
using System.Collections.Generic;
using GxPress.Common.Page;
using GxPress.Result.App.Analyze;

namespace GxPress.Result.App.Topic
{
    /// <summary>
    /// 通知详情
    /// </summary>
    public class TopicDetailResult
    {
        /// <summary>
        /// 话题ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }


        /// <summary>
        /// 文章点赞数据
        /// </summary>
        public PagedList<PraisePageResult> TopicPraisePagedList { get; set; }
        /// <summary>
        /// 是否创建人
        /// </summary>
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 内容Json数据
        /// </summary>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }

        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 小组ID
        /// </summary>
        /// <value></value>
        public int GroupId { get; set; }
        /// <summary>
        /// 小组名称
        /// </summary>
        /// <value></value>
        public string GroupName { get; set; }
    }
}
