using System;
using System.Collections.Generic;

namespace GxPress.Result.App.Topic
{
    /// <summary>
    /// App文章列表显示
    /// </summary>
    public class TopicListPageResult
    {
        /// <summary>
        /// 通知自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 通知标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string Content { get; set; }

        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }

        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }

        /// <summary>
        /// json数据
        /// </summary>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 数据类型 1 没有 2 图 3 文件
        /// </summary>
        public int DataType { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }

        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 共享文件夹
        /// </summary>
        /// <value></value>
        public TopicListPageFolderResult FolderResult { get; set; }
        /// <summary>
        /// 部门名称
        /// </summary>
        /// <value></value>
        public string DepartmentName { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        /// <value></value>
        public int DepartmentId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        /// <value></value>
        public int FolderId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int ParentId { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public TopicListPageResult()
        {
            FolderResult = new TopicListPageFolderResult();
        }
        /// <summary>
        /// 附件个数
        /// </summary>
        /// <value></value>
        public int FileCount { get; set; }
        /// <summary>
        /// 文件夹名称
        /// </summary>
        /// <value></value>
        public string FolderName { get; set; }
        /// <summary>
        /// 小组ID
        /// </summary>
        /// <value></value>
        public int GroupId { get; set; }
        /// <summary>
        /// 小组名称
        /// </summary>
        /// <value></value>
        public string GroupName { get; set; }
        /// <summary>
        /// 是否话题
        /// </summary>
        /// <value></value>
        public bool IsTopic { get; set; }
    }
    /// <summary>
    /// 话题共享文件夹
    /// </summary>
    public class TopicListPageFolderResult
    {
        /// <summary>
        /// 共享文件夹ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 共享文件夹名称
        /// </summary>
        /// <value></value>
        public string FolderName { get; set; }
    }
}
