using System;
using System.Collections.Generic;

namespace GxPress.Result.App.TopicComment
{
    /// <summary>
    /// 话题评论显示
    /// </summary>
    public class TopicCommentPageResult
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public DateTime?  CreatedTime { get; set; }
        /// <summary>
        /// 楼层
        /// </summary>
        public string FloorCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int LaudCount { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 文章ID
        /// </summary>
        public int TopicId { get; set; }
        /// <summary>
        /// 被回复数据
        /// </summary>
        public List<TopicCommentReplyResult> TopicCommentReplyResults { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsLaud { get; set; }
    }
    /// <summary>
    /// 被回复评论
    /// </summary>
    public class TopicCommentReplyResult
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 回复姓名
        /// </summary>
        public string ReplyName { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public DateTime?  CreatedTime { get; set; }
        /// <summary>
        /// ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 回复人ID
        /// </summary>
        /// <value></value>
        public int ReplyUserId{get;set;}
        /// <summary>
        /// 是否回复
        /// </summary>
        public bool IsUnderstand { get; set; }
    }
}
