using System;
using System.Collections.Generic;

namespace GxPress.Result.AppChannel
{
    /// <summary>
    /// 频道
    /// </summary>
    public class AppChannelModelResult
    {
        /// <summary>
        /// 频道类型 公众号  视频 期刊杂志 图书
        /// </summary>
        /// <value></value>

        public GxPress.EnumConst.AppChannelConst Id { get; set; }
        /// <summary>
        /// 频道名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 频道集合
        /// </summary>
        /// <value></value>
        public IEnumerable<AppChannelResult> Items { get; set; }
    }
    /// <summary>
    /// app导航
    /// </summary>
    public class AppChannelResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 类型 公众号  视频 期刊杂志 图书
        /// </summary>
        /// <value></value>

        public GxPress.EnumConst.AppChannelConst ChannelTypeValue { get; set; }
        /// <summary>
        /// 排序
        /// </summary>

        public int Sort { get; set; }

        /// <summary>
        /// 1 普通 2 没有导航 3 sku
        /// </summary>
        /// <value></value>

        public int TypeValue { get; set; }
        /// <summary>
        /// 媒体集合
        /// </summary>
        /// <value></value>
        public IEnumerable<int> MediaIds { get; set; }
    }
    /// <summary>
    /// 导航类别
    /// </summary>
    public class ChannelCategoryResult
    {
        /// <summary>
        /// id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 扩展名称
        /// </summary>
        /// <value></value>

        public string ExpandName { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        /// <value></value>

        public int ParentId { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
        /// <summary>
        /// 子集
        /// </summary>
        /// <value></value>
        public IEnumerable<ChannelCategoryResult> Children { get; set; }
        /// <summary>
        /// 媒体集合
        /// </summary>
        /// <value></value>
        public IEnumerable<int> MediaIds { get; set; }
        /// <summary>
        /// 是否分类
        /// </summary>
        /// <value></value>
        public bool IsCategory { get; set; }
    }
    /// <summary>
    /// 大咖讲座
    /// </summary>
    public class MediaChannelCategoryResult
    {
        /// <summary>
        /// 评分
        /// </summary>
        /// <value></value>
        public decimal CommentScore { get; set; }
        public bool IsCategory { get; set; }
        /// <summary>
        /// 简介
        /// </summary>

        public string Summary { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>
        /// <value></value>
        public string Press { get; set; }

        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        /// <value></value>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 时长
        /// </summary>
        /// <value></value>
        public string Duration { get; set; }
        /// <summary>
        /// 收藏数量
        /// </summary>
        /// <value></value>
        public int CollectCount { get; set; }

        /// <summary>
        /// 媒体类型
        /// </summary>
        public int MediaType { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>

        public string Name { get; set; }
        /// <summary>
        /// 扩展名称
        /// </summary>
        /// <value></value>

        public string ExpandName { get; set; }
    }
    /// <summary>
    /// 书籍SKU
    /// </summary>
    public class SkuResult
    {
        public IEnumerable<SortSift> SortSift { get; set; }
        public IEnumerable<PressSift> PressSift { get; set; }
    }
    /// <summary>
    /// 排序条件筛选
    /// </summary>
    public class SortSift
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Key { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string Value { get; set; }
    }
    /// <summary>
    /// 条件筛选出版社
    /// </summary>
    public class PressSift
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Key { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string Value { get; set; }
    }
}
