using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Result.AddressBookGroupUser;

namespace GxPress.Result.Comment
{
    /// <summary>
    /// 文章评论显示
    /// </summary>
    public class CommentPageResult
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// HTML内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// json内容
        /// </summary>
        public string JsonContent { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedTime { get; set; }
        /// <summary>
        /// 楼层
        /// </summary>
        public string FloorCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int LaudCount { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 文章ID
        /// </summary>
        public int ArticleId { get; set; }
        /// <summary>
        /// 被回复数据
        /// </summary>
        public List<CommentReplyResult> CommentReplyResults { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 当前用户是否点赞
        /// </summary>
        public bool IsLaud { get; set; }

        /// <summary>
        /// 评分
        /// </summary>
        /// <value></value>
        public decimal Score { get; set; }

    }
    /// <summary>
    /// 被回复评论
    /// </summary>
    public class CommentReplyResult
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 回复姓名
        /// </summary>
        public string ReplyName { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// HTML内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// json内容
        /// </summary>
        public string JsonContent { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public DateTime? CreatedTime { get; set; }
        /// <summary>
        /// ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 回复人ID
        /// </summary>
        /// <value></value>
        public int ReplyUserId { get; set; }
        /// <summary>
        /// 是否回复
        /// </summary>
        public bool IsUnderstand { get; set; }
    }


    /// <summary>
    /// 被回复评论
    /// </summary>
    public class CommentResult
    {
        /// <summary>
        /// ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 数据ID
        /// </summary>
        public int ArticleId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// HTML内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// json内容
        /// </summary>
        public string JsonContent { get; set; }
        /// <summary>
        /// 状态 文章100,话题2,收藏3,笔记4,通知5,站内信6,小组7,收藏文件夹12,笔记文件夹13,工作流审批14,文件300,图片301,会议纪要8,会议详情500,财务报表601,人事报表602,出版报表603,书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>
        /// <value></value>

        public int TypeValue { get; set; }
        /// <summary>
        /// 评论类型
        /// </summary>
        /// <value></value>
        public string TypeValueString { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        /// <value></value>

        public string Title { get; set; }
        /// <summary>
        /// 评论时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
    }
}
