using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity;
using GxPress.Result.App.GroupChat;

namespace GxPress.Result.GroupChatUser
{
    /// <summary>
    /// 根据群ID获取群用户集合
    /// </summary>
    public class GroupChatUserByGroupChatIdResultList
    {
        /// <summary>
        /// 群信息
        /// </summary>
        public GroupChatInfoResult GroupChat { get; set; }
        /// <summary>
        /// 结果集
        /// </summary>
        public IEnumerable<GroupChatUserByGroupChatIdResult> Item { get; set; }

        /// <summary>
        /// 是否管理员
        /// </summary>
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 是否是群成员
        /// </summary>
        public bool IsUser { get; set; }
        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsTop { get; set; }
        /// <summary>
        /// 是否免打扰
        /// </summary>
         public bool IsDisturb { get; set; }
    }
    /// <summary>
    /// 根据群ID获取群用户
    /// </summary>
    public class GroupChatUserByGroupChatIdResult
    {
        /// <summary>
        /// ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 群ID
        /// </summary>
        public int GroupChatId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>
        public bool IsDisturb { get; set; }

        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsTop { get; set; }

        /// <summary>
        /// 环信ID
        /// </summary>
        public string ImId { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string GroupChatImId { get; set; }
    }
}
