using System;
namespace GxPress.Result.Job
{
    /// <summary>
    /// 
    /// </summary>
    public class JobResult
    {

    }
    /// <summary>
    /// 话题
    /// </summary>
    public class JobTopicResult
    {
        /// <summary>
        /// 话题id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }
        /// <summary>
        /// 话题标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 话题类容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 用户名Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int TopicAddresseeId { get; set; }
    }

    /// <summary>
    /// 通知
    /// </summary>
    public class JobNoticeResult
    {
        /// <summary>
        /// 话题id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }
        /// <summary>
        /// 话题标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 话题类容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 用户名Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 中间件
        /// </summary>
        /// <value></value>
        public int MiddleId { get; set; }
    }
    /// <summary>
    /// 站内信
    /// </summary>
    public class JobMissiveResult
    {
        /// <summary>
        /// 话题id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }
        /// <summary>
        /// 话题标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 话题类容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 用户名Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 中间件
        /// </summary>
        /// <value></value>
        public int MiddleId { get; set; }
    }
    /// <summary>
    /// 通讯录
    /// </summary>
    public class JobUserResult
    {
        /// <summary>
        /// 话题id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

    }

    /// <summary>
    /// 聊天
    /// </summary>
    public class JobChatResult
    {
        /// <summary>
        /// 聊天窗体id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }
        /// <summary>
        /// 聊天标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }

        /// <summary>
        /// 用户名Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像 /群头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 中间件
        /// </summary>
        /// <value></value>
        public int MiddleId { get; set; }
        /// <summary>
        ///  环信ID
        /// </summary>
        /// <value></value>
        public string ImId { get; set; }
        /// <summary>
        /// 聊天类型 1 单聊 2群聊
        /// </summary>
        /// <value></value>
        public int ChatType { get; set; }
        /// <summary>
        /// 群聊用到对应哪个用户
        /// </summary>
        public int ToUserId { get; set; }

    }

    /// <summary>
    /// 站内信
    /// </summary>
    public class JobGroupResult
    {
        /// <summary>
        /// 小组id
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// GUID
        /// </summary>
        /// <value></value>
        public string GuId { get; set; }
        /// <summary>
        /// 话题标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }
        /// <summary>
        /// 话题类容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }
        /// <summary>
        /// 用户名Id
        /// </summary>
        /// <value></value>
        public int UserId { get; set; }
        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 中间件
        /// </summary>
        /// <value></value>
        public int MiddleId { get; set; }
    }
}