using System.Collections.Generic;
using GxPress.Result.Category;

namespace GxPress.Result.Media
{
    /// <summary>
    /// 媒体
    /// </summary>
    public class BookMediaResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 媒体类型 文章100 书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120
        /// </summary>

        public int MediaType { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>

        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }

        /// <summary>
        /// 来源
        /// </summary>

        public string Source { get; set; }

        /// <summary>
        /// Json内容
        /// </summary>
        public string Blocks { get; set; }


        /// <summary>
        /// 添加时间
        /// </summary>

        public string AddDate { get; set; }

        /// <summary>
        /// 文章阅读量
        /// </summary>

        public int ReadCount { get; set; }

        /// <summary>
        /// 是否推荐 1 设置 2取消
        /// </summary>

        public int IsRecommend { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>

        public string Press { get; set; }
        /// <summary>
        /// 出版时间
        /// </summary>

        public string PublishTime { get; set; }

        /// <summary>
        /// ios折扣价格打折
        /// </summary>
        public decimal IosDiscountPrice { get; set; }
        /// <summary>
        /// IOS价格
        /// </summary>
        public decimal IosPrice { get; set; }
        /// <summary>
        /// 其他折扣价格打折
        /// </summary>
        public decimal OtherDiscountPrice { get; set; }
        /// <summary>
        /// 其他价格
        /// </summary>
        public decimal OtherPrice { get; set; }
        /// <summary>
        /// 免费类容占比
        /// </summary>
        /// <value></value>
        public decimal FreeProportion { get; set; }
        /// <summary>
        /// 收藏次数
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        /// <value></value>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        /// <value></value>
        public int CommentCount { get; set; }

        /// <summary>
        /// 书籍目录
        /// </summary>
        /// <value></value>
        public List<BookCatalogResult> BookCatalogResults { get; set; }
        /// <summary>
        /// 评论分数
        /// </summary>
        /// <value></value>
        public decimal CommentScore { get; set; }
        /// <summary>
        /// 是否购买
        /// </summary>
        /// <value></value>
        public bool IsBuy { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        /// <value></value>
        public bool IsCollect { get; set; }
    }

    /// <summary>
    /// 返回书籍目录
    /// </summary>
    public class BookCatalogResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 目录名称
        /// </summary>
        /// <value></value>
        public string CatalogNameg { get; set; }
        /// <summary>
        /// 目录ID
        /// </summary>
        /// <value></value>
        public string CatalogId { get; set; }
        /// <summary>
        /// 是否可阅读
        /// </summary>
        /// <value></value>
        public bool IsRead { get; set; }
        /// <summary>
        /// 是否存在子集
        /// </summary>
        /// <value></value>
        public bool IsChildren { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public List<BookCatalogResult> Children { get; set; }
    }
}
