﻿using System;
using System.Collections.Generic;
using GxPress.EnumConst;
using GxPress.Result.Category;

namespace GxPress.Result.Media
{
    /// <summary>
    /// 导航显示
    /// </summary>
    public class NavigationMediaResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        /// <value></value>
        public string AutoNumber { get; set; }
        /// <summary>
        /// 媒体类型
        /// </summary>
        public int MediaType { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>
        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>
        public string Author { get; set; }
        /// <summary>
        /// 名师ID
        /// </summary>
        /// <value></value>
        public int TeacherId { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        /// <value></value>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 收藏数量
        /// </summary>
        /// <value></value>
        public int CollectCount { get; set; }

    }
    /// <summary>
    /// 排行榜
    /// </summary>
    public class RankingListResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 编号
        /// </summary>
        /// <value></value>
        public string AutoNumber { get; set; }
        /// <summary>
        /// 媒体类型
        /// </summary>
        public int MediaType { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>
        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>
        public string Author { get; set; }
        /// <summary>
        /// 名师ID
        /// </summary>
        /// <value></value>
        public int TeacherId { get; set; }
        /// <summary>
        /// 评分
        /// </summary>
        public decimal CommentScore { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        /// <value></value>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 时长
        /// </summary>
        /// <value></value>
        public string Duration { get; set; }
    }

    public class RankingListCategoryResult
    {
        public IEnumerable<RankingListResult> RankingListResults { get; set; }

        public Dictionary<int, string> Category { get; set; }
    }
    /// <summary>
    /// 媒体
    /// </summary>
    public class MediaResult
    {
        /// <summary>
        /// 编号
        /// </summary>
        /// <value></value>
        public string AutoNumber { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 媒体类型
        /// Article=1,
        //书籍
        //Book = 2,
        ////课程
        //Curriculum = 3,
        ////音频
        //Audio = 4,
        ////期刊
        //Journal = 5,
        ////视频
        //Video=6
        /// </summary>

        public int MediaType { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }

        /// <summary>
        /// 简介
        /// </summary>

        public string Summary { get; set; }

        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }
        /// <summary>
        /// 名师ID
        /// </summary>
        /// <value></value>
        public int TeacherId { get; set; }
        /// <summary>
        /// 来源
        /// </summary>

        public string Source { get; set; }

        /// <summary>
        /// Json内容
        /// </summary>
        public string Blocks { get; set; }

        /// <summary>
        /// 审核状态 1 2
        /// </summary>
        public int IsChecked { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>

        public string AddDate { get; set; }
        /// <summary>
        /// 排序
        /// </summary>

        public int Sort { get; set; }
        /// <summary>
        /// 文章阅读量
        /// </summary>

        public int ReadCount { get; set; }
        /// <summary>
        /// 是否置顶 1置顶 2取消
        /// </summary>

        public int IsTop { get; set; }
        /// <summary>
        /// 分类ID
        /// </summary>
        public List<string> CategoryId { get; set; }
        /// <summary>
        /// app内容导航
        /// </summary>
        /// <value></value>
        public int AppCategoryId { get; set; }
        /// <summary>
        /// 完整分类ID
        /// </summary>

        public List<string> FullCategoryId { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value></value>
        public List<string> CategoryName { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>

        public int LableId { get; set; }
        /// <summary>
        /// 是否推荐 1 设置 2取消
        /// </summary>

        public int IsRecommend { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>

        public string Press { get; set; }
        /// <summary>
        /// 出版时间
        /// </summary>

        public string PublishTime { get; set; }

        /// <summary>
        /// 媒体类
        /// </summary>
        public List<MediaLibraryResult> MediaLibraryResults { get; set; }
        /// <summary>
        /// 媒体标签
        /// </summary>
        /// <value></value>
        public List<MediaLableResult> MediaLableResults { get; set; }
        /// <summary>
        ///  操作人ID
        /// </summary>
        /// <value></value>
        public int AdminId { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>
        public string Creator { get; set; }
        /// <summary>
        /// ios折扣价格打折
        /// </summary>
        public decimal IosDiscountPrice { get; set; }
        /// <summary>
        /// IOS价格
        /// </summary>
        public decimal IosPrice { get; set; }
        /// <summary>
        /// 其他折扣价格打折
        /// </summary>
        public decimal OtherDiscountPrice { get; set; }
        /// <summary>
        /// 其他价格
        /// </summary>
        public decimal OtherPrice { get; set; }
        /// <summary>
        /// 免费类容占比
        /// </summary>
        /// <value></value>
        public decimal FreeProportion { get; set; }

        /// <summary>
        /// 类型 名栏 公众号 期刊
        /// </summary>
        /// <value></value>
        public AttachTypeConst AttachType { get; set; }

        /// <summary>
        /// 类型 1名栏 2公众号 
        /// </summary>
        /// <value></value>
        public int AttachId { get; set; }


        /// <summary>
        /// 关联的媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 关联的媒体标题
        /// </summary>
        /// <value></value>
        public string MediaTitle { get; set; }

        /// <summary>
        /// 刊期年
        /// </summary>
        /// <value></value>

        public string JournalsYear { get; set; }
        /// <summary>
        /// 刊期期数
        /// </summary>
        /// <value></value>

        public int JournalsCategory { get; set; }
        /// <summary>
        /// 所有类别
        /// </summary>
        /// <value></value>
        public List<CategoryResult> CategoryResults { get; set; }
        /// <summary>
        /// 收藏次数
        /// </summary>
        public int CollectCount { get; set; }
        /// <summary>
        /// 转发数量
        /// </summary>
        /// <value></value>

        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        /// <value></value>
        public int CommentCount { get; set; }
        /// <summary>
        /// 销售总金额
        /// </summary>
        /// <value></value>
        public decimal SellAmount { get; set; }
        /// <summary>
        /// 订单数量
        /// </summary>
        /// <value></value>
        public int OrderCount { get; set; }
        /// <summary>
        /// 书籍目录
        /// </summary>
        /// <value></value>
        public List<BookCatalogResult> BookCatalogResults { get; set; }
        /// <summary>
        /// 是否习题 1 是 2否
        /// </summary>
        /// <value></value>
        public int IsExercises { get; set; }
        /// <summary>
        /// 是否购买
        /// </summary>
        /// <value></value>
        public bool IsBuy { get; set; }
    }
    /// <summary>
    /// 书籍目录
    /// </summary>
    public class MediaLibraryResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 文件路径
        /// </summary>
        public string FileUrl { get; set; }
        /// <summary>
        /// 文件名称
        /// </summary>

        public string Name { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        /// <summary>
        /// 章节名称
        /// </summary>
        /// <value></value>
        public string SectionName { get; set; }

        /// <summary>
        /// 类型 1 file 2 audio
        /// </summary>
        /// <value></value>
        public int TypeId { get; set; }
        /// <summary>
        /// 章节Id
        /// </summary>
        /// <value></value>
        public string SectionId { get; set; }

    }
    /// <summary>
    /// 媒体标签
    /// </summary>
    public class MediaLableResult
    {
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public int MediaId { get; set; }
        /// <summary>
        /// 标签ID
        /// </summary>
        public int LableId { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        public string LableName { get; set; }

    }
    /// <summary>
    /// 笔记显示摘录
    /// </summary>
    public class MediaNoteResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }


        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }
    }

    /// <summary>
    /// 大咖讲座
    /// </summary>
    public class MediaCathedraResult
    {
        /// <summary>
        /// 简介
        /// </summary>

        public string Summary { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>

        public string ImageUrls { get; set; }
        /// <summary>
        /// 出版社
        /// </summary>
        /// <value></value>
        public string Press { get; set; }

        /// <summary>
        /// 作者
        /// </summary>

        public string Author { get; set; }
        /// <summary>
        /// 阅读量
        /// </summary>
        /// <value></value>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 时长
        /// </summary>
        /// <value></value>
        public string Duration { get; set; }
        /// <summary>
        /// 收藏数量
        /// </summary>
        /// <value></value>
        public int CollectCount { get; set; }

        /// <summary>
        /// 媒体类型
        /// </summary>
        public int MediaType { get; set; }
    }
    /// <summary>
    /// 每日技能
    /// </summary>
    public class SkillInfo
    {
        public int Id { get; set; }
        /// <summary>
        /// Json内容
        /// </summary>
        public string Blocks { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        /// <value></value>
        public int MediaType { get; set; }
    }
    /// <summary>
    /// 榜单
    /// </summary>
    public class MediaRankingResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int MediaType { get; set; }
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public IEnumerable<RankingListResult> Items { get; set; }
    }
    /// <summary>
    /// 明栏
    /// </summary>
    public class MediaStarLableResult
    {
        /// <summary>
        /// 名栏目ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 明栏名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 明栏数据
        /// </summary>
        /// <value></value>
        public IEnumerable<MediaCathedraResult> Items { get; set; }
    }
}
