using System;
using System.Collections.Generic;
using GxPress.Common.Page;
using GxPress.Result.App.Analyze;

namespace GxPress.Result.Notice
{
    /// <summary>
    /// 通知详情
    /// </summary>
    public class NoticeDetailResult
    {
        /// <summary>
        /// 通知ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string Content { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>

        public string UserName { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public List<string> NoticeAddresseeNames { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> CcUserMiddles { get; set; }


        /// <summary>
        /// 收件数量
        /// </summary>
        public int AllCount { get; set; }

        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }


        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }
        /// <summary>
        /// 文章点赞数据
        /// </summary>
        public PagedList<PraisePageResult> NoticePraisePagedList { get; set; }
        /// <summary>
        /// JsonData
        /// </summary>
        /// <value></value>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollect { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsPraise { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 默认值
        /// </summary>
        public NoticeDetailResult()
        {
            NoticePraisePagedList = new PagedList<PraisePageResult>();
        }
        /// <summary>
        /// 是否是当前用户创建
        /// </summary>
        /// <value></value>
        public bool IsAdmin { get; set; }
        /// <summary>
        /// 是否撤回
        /// </summary>
        /// <value></value>
        public bool IsRecall { get; set; }
    }
}
