using System;
using System.Collections.Generic;
using GxPress.EnumConst;

namespace GxPress.Result.Notice
{
    /// <summary>
    /// 编辑通知详情
    /// </summary>
    public class NoticeEditDetailResult
    {
        /// <summary>
        /// 
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 标题
        /// </summary>

        public string Title { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string Content { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string HtmlContent { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>

        public string UserName { get; set; }

        /// <summary>
        /// 类型 (1 发送 2 草稿)
        /// </summary>

        public NoticeTypeConst NoticeType { get; set; }

        /// <summary>
        /// 收件人
        /// </summary>
        public List<NoticeAddresseeUser> NoticeAddresseeUsers { get; set; }

        /// <summary>
        /// 抄送人
        /// </summary>
        public List<NoticeCcUser> NoticeCcUsers { get; set; }
        /// <summary>
        /// Json内容数据
        /// </summary>
        /// <value></value>
        public List<ContentJsonData> Data { get; set; }
        /// <summary>
        /// 新版收件人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> AddresseeUserMiddles { get; set; }
        /// <summary>
        /// 新版抄送人
        /// </summary>
        /// <value></value>
        public IEnumerable<Entity.UserMiddle.UserMiddle> CcUserMiddles { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        /// <value></value>
        public DateTime? LastModifiedDate { get; set; }

    }

    /// <summary>
    /// 收件人
    /// </summary>
    public class NoticeAddresseeUser
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
    }
    /// <summary>
    /// 抄送人
    /// </summary>
    public class NoticeCcUser
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 用户头像
        /// </summary>
        /// <value></value>
        public string AvatarUrl { get; set; }
    }

}
