using System;
using GxPress.EnumConst;
using GxPress.Result.App.Middle;

namespace GxPress.Result.Notice
{
    /// <summary>
    /// App通知列表显示
    /// </summary>
    public class NoticeListPageResult : Middle
    {
        /// <summary>
        /// 通知自增ID
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 通知标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        public string UserName { get; set; }
        /// <summary>
        /// 工作审核人
        /// </summary>
        /// <value></value>
        public string FlowUserName { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        public string AvatarUrl { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime? CreatedDate { get; set; }

        /// <summary>
        /// 收件人数量
        /// </summary>
        public int AllCount { get; set; }
        /// <summary>
        /// 是否阅读
        /// </summary>
        /// <value></value>
        public bool IsRead { get; set; }


        /// <summary>
        /// 阅读量
        /// </summary>
        public int ReadCount { get; set; }

        /// <summary>
        /// 未读阅读量
        /// </summary>
        public int UReadCount { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int NoticeAddresseeId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public int NoticeId { get; set; }

        /// <summary>
        /// 文件数量
        /// </summary>
        public int FileCount { get; set; }

        /// <summary>
        /// 是否收藏
        /// </summary>
        public bool IsCollection { get; set; }
        /// <summary>
        /// 是否点赞
        /// </summary>
        public bool IsLaud { get; set; }
        /// <summary>
        /// 是否转发
        /// </summary>
        public bool IsRetransmission { get; set; }
        /// <summary>
        /// 评论数量
        /// </summary>
        public int CommentCount { get; set; }

        /// <summary>
        /// 收藏数量
        /// </summary>
        public int CollectCount { get; set; }

        /// <summary>
        /// 转发数量
        /// </summary>
        public int RetransmissionCount { get; set; }
        /// <summary>
        /// 点赞数量
        /// </summary>
        public int PraiseCount { get; set; }
        /// <summary>
        /// 通知状态 0 删除 1 正常 2 草稿
        /// </summary>
        /// <value></value>
        public int NoticeStatus { get; set; }
        /// <summary>
        /// 关联通知Id
        /// </summary>
        /// <value></value>
        public int SourceId { get; set; }
        /// <summary>
        ///  5 通知 6站内信 15 我审批的 16 我发出的 17 抄送我的
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        /// <summary>
        /// 发件人
        /// </summary>
        /// <value></value>
        public string SendUserName { get; set; }
        /// <summary>
        /// 发件人用户ID
        /// </summary>
        /// <value></value>
        public int SendUserId { get; set; }
        /// <summary>
        /// 工作未处理数量
        /// </summary>
        /// <value></value>
        public int UCheckedCount { get; set; }
        /// <summary>
        /// 工作已处理数量
        /// </summary>
        /// <value></value>
        public int CheckedCount { get; set; }

        /// <summary>
        /// 工作是否处理 我审批的
        /// </summary>
        /// <value></value>
        public bool IsFlowChecked { get; set; }

        /// <summary>
        /// 工作是否阅读 抄送我的 
        /// </summary>
        /// <value></value>
        public bool IsFlowRead { get; set; }
        /// <summary>
        /// 工作是否阅读 我发起的
        /// </summary>
        /// <value></value>
        public bool IsMyFlowRead { get; set; }
        /// <summary>
        /// 是否撤销
        /// </summary>
        /// <value></value>
        public bool IsRecall { get; set; }
        /// <summary>
        /// 是否处理
        /// </summary>
        /// <value></value>
        public bool IsDone { get; set; }
        /// <summary>
        /// 是否审核通过
        /// </summary>
        /// <value></value>
        public bool IsChecked { get; set; }
        /// <summary>
        ///  处理状态 1 上会 2 待定
        /// </summary>
        /// <value></value>
        public int DoneType { get; set; }
        /// <summary>
        /// 工作状态
        /// </summary>
        /// <value></value>
        public FlowState FlowState { get; set; }
        /// <summary>
        /// 工作流
        /// </summary>
        /// <value></value>
        public int SonId { get; set; }
        /// <summary>
        /// 工作流todoId
        /// </summary>
        /// <value></value>
        public int TodoId { get; set; }
        /// <summary>
        /// 工作流
        /// </summary>
        /// <value></value>
        public bool IsFlowAdmin { get; set; }
    }
}
