using System.Collections.Generic;

namespace GxPress.Result.SystemLabel
{
    /// <summary>
    /// 标签
    /// </summary>
    public class SystemLabelResult
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>

        public string LabelName { get; set; }

        /// <summary>
        /// 标签名称描述
        /// </summary>
        /// <value></value>

        public string LabelNameDescribe { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>

        public string Remark { get; set; }

        /// <summary>
        /// 是否禁用
        /// </summary>
        /// <value></value>

        public bool IsDisable { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>

        public int Sort { get; set; }

        /// <summary>
        /// 是否跳转
        /// </summary>
        /// <value></value>

        public bool IsSkip { get; set; }

        /// <summary>
        /// 是否分页
        /// </summary>
        /// <value></value>

        public bool IsPage { get; set; }
        /// <summary>
        /// 分页条数
        /// </summary>
        /// <value></value>
        public int PageSize { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ControllerUrl { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
        /// <summary>
        /// 资源类型 文章100书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120,榜单130,示范课堂140,品牌专区1(150),品牌专区2(160)
        /// </summary>
        /// <value></value>

        public int ResourceType { get; set; }

        /// <summary>
        /// 样式类型
        /// </summary>
        /// <value></value>

        public string StyleType { get; set; }
        /// <summary>
        /// 是否显示标签名称
        /// </summary>
        /// <value></value>

        public bool IsShowLabelName { get; set; }
        /// <summary>
        ///资源数量
        /// </summary>
        /// <value></value>
        public int ResourceCount { get; set; }
        /// <summary>
        /// 媒体ID
        /// </summary>
        /// <value></value>
        public IEnumerable<int> MediaIds { get; set; }
        /// <summary>
        /// 是否明栏
        /// </summary>
        /// <value></value>
        public bool IsStarLable { get; set; }
    }
    /// <summary>
    /// APP导航
    /// </summary>
    public class AppLabelResult<TItem>
    {
        /// <summary>
        /// 
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 显示数据
        /// </summary>
        /// <value></value>
        public IEnumerable<TItem> Items { get; set; }
        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>

        public string LabelName { get; set; }
        /// <summary>
        /// 资源类型 文章100书籍20,课程30,音频40,期刊50,视频60,名栏90,公众号110,刊期120,榜单130,示范课堂140,品牌专区1(150),品牌专区2(160)
        /// </summary>
        /// <value></value>

        public int ResourceType { get; set; }
        /// <summary>
        /// 路径
        /// </summary>
        /// <value></value>

        public string ActionUrl { get; set; }
        /// <summary>
        /// 是否分页
        /// </summary>
        /// <value></value>

        public bool IsPage { get; set; }
        /// <summary>
        /// 请求类型
        /// </summary>
        /// <value></value>
        public string Method { get; set; }
    }
}