using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Common.Page;
using GxPress.Entity.tede2.AppChannel;
using GxPress.EnumConst;
using GxPress.Request.AppChannel;
using GxPress.Result.AppChannel;

namespace GxPress.Repository.Interface.AppChannel
{
    public interface IChannelCategoryRepository : IRepository
    {
        /// <summary>
        /// 获取详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Entity.tede2.AppChannel.ChannelCategory> GetAsync(int id);
        /// <summary>
        /// 查询 获取MediaId
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<ChannelCategoryResult>> GetAllAsync(int appChannelId);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(ChannelCategory request);
        /// <summary>
        ///修改导航分类
        /// </summary>
        /// <param name="model"></param>
        /// <returns></returns>
        Task<bool> UpdateAsync(ChannelCategory request);
        Task<bool> IsChildrenAsync(int id);

        /// <summary>
        /// 根据父级获取 获取频道分类
        /// </summary>
        /// <returns></returns>
        Task<PagedList<ChannelCategoryResult>> GetAllByParentIdAsync(AppChannelSearchRequest request);
    }
}