using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.Admin;
using GxPress.Request.Feedback;
using GxPress.Result.Admin;
using GxPress.Result.Feedback;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IFeedbackRepository:IRepository
    {
        /// <summary>
        /// 意见反馈分页
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<FeedbackPageResult>> GetPagedList(FeedbackPageRequest request);
        /// <summary>
        /// 根据ID查询意见
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Feedback> GetAsync(int id);
        /// <summary>
        /// 添加反馈意见
        /// </summary>
        /// <param name="feedback"></param>
        /// <returns></returns>
        Task<int> InsertAsync(Feedback feedback);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);

    }
}
