using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.Finance;
using GxPress.Result.Finance;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IFinanceRepository : IRepository
    {
        Task<bool> InsertAsync(IEnumerable<Finance> finances);
        /// <summary>
        /// 分页获取财务数据
        /// </summary>
        /// <returns></returns>
        Task<PagedList<Finance>> GetPageListAsync(PageParameter request);
        /// <summary>
        /// 财务图形
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<FinanceResult> GetFinanceChartAsync(FinanceRequest request);
    }
}
