using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Entity;
using GxPress.Request.Sell;
using GxPress.Request.Storehouse;
using GxPress.Result.Storehouse;
using Datory;

namespace GxPress.Repository.Interface
{
    /// <summary>
    /// 仓库
    /// </summary>
    public interface IStorehouseRepository : IRepository
    {
        /// <summary>
        /// 添加信息
        /// </summary>
        /// <param name="storehouses"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(IEnumerable<Storehouse> storehouses);
        Task<PagedList<Storehouse>> GetPageListAsync(PageParameter request);

        Task<StorehouseResult> GetStorehouseChartAsync(StorehouseRequest request);
    }
}
