using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.RecordFolder
{
    public interface IRecordFolderRepository : IRepository
    {
        /// <summary>
        /// 获取最新的
        /// </summary>
        /// <param name="folderType"></param>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<Entity.RecordFolder.RecordFolder> GetAsync(int folderType, int userId);
        /// <summary>
        /// 添加/修改
        /// </summary>
        /// <param name="folderType"></param>
        /// <param name="userId"></param>
        /// <param name="folderId"></param>
        /// <returns></returns>
        Task<bool> AddAsync(int folderType, int userId, int folderId);
        /// <summary>
        /// 删除默认
        /// </summary>
        /// <param name="folderType"></param>
        /// <param name="userId"></param>
        /// <param name="folderId"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int folderType, int userId,  List<int> folderIds);
    }
}