using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;
using GxPress.Request.SystemLabel;

namespace GxPress.Repository.Interface.SystemLabel
{
    public interface ISystemLableMediaRepository : IRepository
    {
        Task<Entity.SystemLabel.SystemLableMedia> GetAsync(int id);
        /// <summary>
        /// 根据标签ID获取媒体ID
        /// </summary>
        /// <param name="lableId"></param>
        /// <returns></returns>
        Task<IEnumerable<int>> GetMediaIdsAsync(int lableId, int typeValue);
        Task<bool> DeleteAsync(List<int> ids);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(SystemLableMediaRequest request);
         /// <summary>
        /// 根据分类获取媒体ID
        /// </summary>
        /// <param name="lableId"></param>
        /// <returns></returns>
        Task<IEnumerable<int>> GetMediaIdsByTypeValueAsync(int typeValue);
    }

}