using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.EnumConst;
using GxPress.Request.AppChannel;
using GxPress.Result.AppChannel;
using GxPress.Result.Media;

namespace GxPress.Service.Interface.AppChannel
{
    public interface IAppChannelService : IService
    {
        /// <summary>
        /// 获取App频道
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<AppChannelModelResult>> GetAppChannelsAsync();
        /// <summary>
        /// 查询 获取频道分类
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<ChannelCategoryResult>> GetAllAsync(int appChannelId);
        /// <summary>
        /// 根据app频道分类id获取媒体分页数据
        /// </summary>
        /// <returns></returns>
        Task<PagedList<MediaChannelCategoryResult>> GetChannelCategoryMediaPageAsync(AppChannelSearchRequest request);

        /// <summary>
        /// 查询
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<AppChannelResult>> GetAllAsync(AppChannelConst channelTypeValue);
        Task<bool> IsChildrenAsync(int id);

        /// <summary>
        /// 根据父级获取 获取频道分类
        /// </summary>
        /// <returns></returns>
        Task<PagedList<ChannelCategoryResult>> GetAllByParentIdAsync(AppChannelSearchRequest request);
    }
}