using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.Chat;

namespace GxPress.Service.Interface.Chat
{
    public interface IChatSearchService : IService
    {
        /// <summary>
        /// 搜索单聊
        /// </summary>
        /// <param name="keyWord"></param>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<ChatSearchResult>> GetChatSearchAsync(string keyWord, int userId);
        /// <summary>
        /// 搜索信源文件夹
        /// </summary>
        /// <param name="keyWord"></param>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<ChatSearchResult>> GetChatFolderNameSearchAsync(string keyWord, int userId);
        /// <summary>
        /// 搜索信源群聊
        /// </summary>
        /// <param name="keyWord"></param>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<ChatSearchResult>> GetGroupChatNameSearchAsync(string keyWord, int userId);
        /// <summary>
        /// 查询好友
        /// </summary>
        /// <param name="keyWord"></param>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<IEnumerable<ChatSearchResult>> GetFriendUserInfoResult(string keyWord, int userId);
    }
}