using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Request.App.Collection;
using GxPress.Result.App.Collection;

namespace GxPress.Service.Interface.Collection
{
    public interface ICollectionService : IService
    {
        Task<bool> Insert(CollectionInRequest request);

        Task<PagedList<CollectionListPageResult>> PageListAsync(CollectionPageSearchRequest request);

        /// <summary>
        /// 获取收藏详情
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<CollectionResult> GetCollectionDetailAsync(int id);
          /// <summary>
        /// 收藏无文件夹分页列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PagedList<CollectionNoFolderResult>> GetCollectionNoFolderPageListAsync(CollectionPageSearchRequest request);
    }
}
