using System.Threading.Tasks;
using GxPress.Result.Navigation;

namespace GxPress.Service.Interface.Navigation
{
    public interface INavigationService : IService
    {
        /// <summary>
        /// 获取导航栏数据
        /// </summary>
        /// <returns></returns>
        Task<MiddleLableResult> GetNavigationResults(int navigationId);
        /// <summary>
        /// 获取中间页面数据
        /// </summary>
        /// <returns></returns>
        Task<MiddleLableResult> GetMiddleLableResults(int middleLableId);
        /// <summary>
        /// 获取标签数据
        /// </summary>
        /// <param name="labelId"></param>
        /// <returns></returns>
        Task<LabelMediaResult> GetLabelMediaResult(int labelId);
    }
}